Sympa::List::Config(3Sympa)

NAME
Sympa::List::Config - List configuration

SYNOPSIS
  use Sympa::List::Config;
  my $config = Sympa::List::Config->new($list, {...});

  my $errors = [];
  my $validity = $config->submit({...}, $user, $errors);
  $config->commit($errors);

  my ($value) = $config->get('owner.0.gecos');
  my @keys  = $config->keys('owner');

DESCRIPTION

  Methods

new ( $list, [ config => $initial_config ], [ copy => 1 ], [ no_family => 1 ] )
    Constructor. Creates new instance of Sympa::List::Config object.

    Parameters:

    See also "new" in Sympa::Config.

    $list
        Context. An instance of Sympa::List class.

    no_family => 1
        Won't apply family constraint. By default, the constraint will be applied if the list is belonging to family. See also "Family constraint".

get_schema ( [ $user ] )
    Instance method. Get configuration schema as hashref. See Sympa::ListDef about structure of schema.

    Parameter:

    $user
        Email address of a user. If specified, adds 'privilege' attribute taken from edit_list.conf(5) for the user.

  Attribute
See "Attribute" in Sympa::Config.

  Family constraint
The family (see Sympa::Family) adds additional constraint to schema.

•   restricts options for particular scalar parameters to the set of values or single value,

•   makes occurrence of them be required ('1' or '1-n'), and

•   if the occurrence became '1', makes their privilege be unwritable ('read' if it was not 'hidden').

  Filters
TBD.

  Validations
TBD.

SEE ALSO
Sympa::Config, Sympa::List, Sympa::ListDef.

HISTORY
Sympa::List::Config appeared on Sympa 6.2.17.